.content-here {
    width: 100%;
    height: 100%;
    overflow: hidden;
    .map {
        width: 100vw;
        height: 100vh;
        margin-left: 55px;
        .menuC {
            z-index: 5;
            position: fixed;
            width: 200px;
            height: 200px;
            top: 0px;
            display: flex;
        }
        .historique-Gbtn-map {
            background-color: transparent !important;
            z-index: 5;
            display: flex;
            align-items: center;
            position: absolute;
            border-radius: 50%;
            width: auto;
            height: 50px;
            left: 75px;
            top: 61px;
            border: none;
            border-radius: 2px;
        }
        .moreInfo {
            z-index: 5;
            position: fixed;
            right: -0.5%;
            width: 450px;
            top: 12%;
            background-color: #fdfdfd00;
            color: whitesmoke;
            border: none;
            z-index: -1;
            max-height: 720px;
        }
        .detail-vehicule-container {
            z-index: 5;
            position: absolute;
            width: 400px;
            right: 40px;
            top: 50px;
        }
        .slidecontainer {
            width: 70%; /* Width of the outside container */
          }
          
          /* The slider itself */
          .slider {
            -webkit-appearance: none;  /* Override default CSS styles */
            appearance: none;
            width: 100%; /* Full-width */
            height: 5px;
            border-radius: 5px;
            background: #df7e7e; /* Grey background */
            outline: none; /* Remove outline */
            opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
            -webkit-transition: .2s; /* 0.2 seconds transition on hover */
            transition: opacity .2s;
          }
          
          /* Mouse-over effects */
          .slider:hover {
            opacity: 1; /* Fully shown on mouse-over */
          height: 9px;
          }
          .sliderP{
            height: 28px !important;
            position: absolute;
            left: 40%;
            bottom: 80%;
            width: 200px;
            border: 0px solid #000000;
            border-radius: 50px; 
            text-align: center;
            background-color: #354360;
            p{
              text-align:left;
              margin:auto auto;
              display: inline-flex;
            }
            small{
            color: rgb(248, 248, 248);
            padding: 2px ;
            margin: auto;
          }
          }
          .slider:hover::-webkit-slider-thumb {
            width:20px;
            height: 20px;
          
            box-shadow: 1px 2px 3px rgba(0, 0, 0, 0.6);
          }
          
          /* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
          .slider::-webkit-slider-thumb {
            -webkit-appearance: none; /* Override default look */
            appearance: none;
            width: 15px; /* Set a specific slider handle width */
            height: 15px;
            border-radius: 50%; 
            background: #354360; /* Green background */
            cursor: pointer; /* Cursor on hover */
          }
          
          .slider::-moz-range-thumb {
            width: 25px; /* Set a specific slider handle width */
            height: 25px;
            border-radius: 50%;
            background: #354360; /* Green background */
            cursor: pointer; /* Cursor on hover */
          }
          .sliderbutton{
              width:35px;
              height: 35px;
              position:fixed;
              bottom:1%;
              left: 14%;
              border-radius:80%;
              background-color: #354360;
              border:0px ridge rgba(10, 10, 10, 0.661);
              display: flex;
              justify-content: center;
              text-align: center;
                mat-icon{
                    cursor: pointer;
                    color: rgb(255, 255, 255);
                    position: relative;
                    top: 16%;
                }
          }
        .fullscreen {
            cursor: pointer;
            position: absolute;
            z-index: 999;
            width: 42px;
            display: flex;
            align-items: end;
            justify-content: start;
            height: 100%;
            bottom: 226px;
            left: 78px;
            .box {
                box-shadow: 0em 0 0.4em 0 rgb(15 22 33 / 60%);
                border-radius: 0.5em;
                width: 42px;
                height: 42px;
                background: #fff;
                display: flex;
                align-items: center;
                justify-content: center;
                span {
                    img {
                        width: 25px;
                        color: aqua !important;
                    }
                }
            }
        }
        .position {
            cursor: pointer;
            position: absolute;
            z-index: 999;
            width: 42px;
            display: flex;
            align-items: end;
            justify-content: start;
            height: 100%;
            bottom: 273px;
            /* right: 23px; */
            left: 78px;
            .box {
                box-shadow: 0em 0 0.4em 0 rgb(15 22 33 / 60%);
                border-radius: 0.5em;
                width: 42px;
                height: 42px;
                background: #fff;
                display: flex;
                align-items: center;
                justify-content: center;
            }
        }
    }
}
